=== debian/changelog ===
luppp (1.0.1+git20140320-1kxstudio1) lucid; urgency=medium

  * New git

 -- falkTX <falktx@gmail.com>  Thu, 20 Mar 2014 22:11:39 +0000

luppp (1.0~rc1-0kxstudio2) lucid; urgency=low

  * Fixed i386 package failing to build 

 -- Jeremy Jongepier <jeremy@autostatic.com>  Fri, 13 Dec 2013 20:45:09 +0100

luppp (1.0~rc1-0kxstudio1) lucid; urgency=low

  * New upstream release

 -- Jeremy Jongepier <jeremy@autostatic.com>  Fri, 13 Dec 2013 00:01:35 +0100

luppp (1.0~beta1-0kxstudio1) lucid; urgency=low

  * Initial release

 -- Jeremy Jongepier <jeremy@autostatic.com>  Thu, 05 Dec 2013 21:25:07 +0100
