=== debian/control ===
Source: luppp
Section: sound
Priority: extra
Maintainer: Jeremy Jongepier <jeremy@autostatic.com>
Build-Depends: debhelper (>= 7), cmake, libjack-dev, libsndfile-static, cairo-static, ntk-static, liblo-static, libsamplerate-static
Standards-Version: 3.9.3
Homepage: http://openavproductions.com/luppp/

Package: luppp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: luppp music creation tool
 Luppp is a music creation tool, intended for live use.
 It focuses on real time processing and a fast intuitive workflow.
