=== debian/rules ===
#!/usr/bin/make -f

FLAGS=-g -O2 -pipe -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse -fPIC -DPIC -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2

export CFLAGS=$(FLAGS)
export CXXFLAGS=$(FLAGS)
export LDFLAGS=-Wl,-O1 -Wl,-Bsymbolic-functions -Wl,--strip-all -Wl,-z,relro,-z,now -Wl,--no-undefined

export PATH:=/opt/kxstudio/bin:$(PATH)
export PKG_CONFIG_PATH=/opt/kxstudio/lib/pkgconfig/

%:
	dh $@ -Scmake
